// export function
import request from '@/utils/request'

export function guanlianList(params){
  return request({
    url:'order/mutual/getMutualOrderByOrderId',
    method:'post',
    data:params,
  })
};
//未加入互斥
export function getUnGuanlianOrderByOrderId(data){
  return request({
    url:'order/mutual/getUnMutualOrderByOrderId',
    method:'post',
    data:data,
  })
}
//加入互斥
export function guanlianCreate(data){
  return request({
    url:'order/mutual/create',
    method:'post',
    data:data,
  })
}
//批量加入互斥
export function ordeRcreateBatch(data){
  return request({
    url:'order/mutual/createBatch',
    method:'post',
    data:data,
  })
}
//移出互斥
export function deleteGuanlianOrderByOrderId(data){
  return request({
    url:'/order/mutual/deleteMutualOrderByOrderId',
    method:'delete',
    data:data
  })
}
// 批量移出互斥
export function deleteBatchGuanlianOrderByOrderId(data){
  return request({
    url:'/order/mutual/deleteBatchMutualOrderByOrderId',
    method:'delete',
    data:data,
  })
}

